#
# Auth Ingress
#
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  namespace: traefik
  name: traefik-forward-auth-{{ .Values.rootEnvironment }}
  labels:
    app: traefik
spec:
  entryPoints:
    - websecure
  routes:
  - match: Host(`auth.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`)
    kind: Rule
    middlewares:
      - name: traefik-forward-auth-{{ .Values.rootEnvironment }}
        namespace: traefik  
    services:
    - name: traefik-forward-auth-{{ .Values.rootEnvironment }}
      port: 4181
  tls:
    certResolver: ourcertresolver
